import Taro from '@tarojs/taro'
import * as api from '../service/index'
const tool = {
  shareTitle:'一款属于自己的AI绘画小程序，快来创作属于自己的独家作品吧。',
  shareImg:'https://we-spa.oss-cn-shenzhen.aliyuncs.com/total_picture/1679623995925.png',
  //去登录
  toLogin: function (rescallback = () => { }) {
    Taro.login({
      success: function (res) {
        let params = {
          code: res.code,
        }
        if (res.code) {
          api.login(params).then(item => {
            Taro.setStorage({
              key: "session_key",
              data: item.data.session_key
            })
            Taro.setStorage({
              key: "user_id",
              data: item.data.id
            })
          })
        } else {
        }
      }
    })
  },
  // 生成四位随机数的函数
  generateRandomNumber () {
    // 生成一个 0 到 9999 之间的随机整数
    const randomNumber = Math.floor(Math.random() * 10000);
    // 如果随机数不足四位，则在前面补零
    return randomNumber.toString().padStart(4, '0');
  },
  //判断不为安卓
  notAndroid: function () {
    let is_ios = false;
    Taro.getSystemInfo({
      success: function (res) {
        if (res.platform != "android") {
          is_ios = true
        }
      }
    })
    return is_ios;
  },
  //判断是否为安卓
  isAndroid: function () {
    let is_android = false;
    Taro.getSystemInfo({
      success: function (res) {
        if (res.platform == "android") {
          is_android = true
        }
      }
    })
    return is_android;
  },
  // 生成用户ID的函数
  generateUserID () {
    // 获取当前时间戳
    const timestamp = Date.now().toString();
    // 生成四位随机数
    const randomNumber = this.generateRandomNumber();
    // 将时间戳和随机数拼接起来，得到用户ID
    const userID = timestamp + randomNumber;
    console.log(userID, 'userID');
    return userID;
  },
  /**
* 限制字符串长度
* value:字符串对象
* lmit:展示的长度
*/
  ellipsis: function (value, lmit) {
    if (!value) return ''
    if (value.length > lmit) {
      return value.slice(0, lmit) + '...'
    }
    return value
  }
}
export default tool