import { Component } from 'react'
import { View, Text, Button, Image, scrollView, Input } from '@tarojs/components'
import * as api from '../../service/index'
import tool from '../../common/tool'
import Taro, { } from '@tarojs/taro'
import './index.less'

export default class collection extends Component {
  state = {
    consultImg: 'http://video-img.fyshark.com/1680144082044%E7%BC%96%E7%BB%84.png',
    sizeIndex: 0,
    isImage: false
  }

  componentWillMount () {
  }
  componentDidShow () {
    //接收裁剪图片
    let pages = Taro.getCurrentPages();
    let currentPage = pages[pages.length - 1]; // 获取当前页面
    if (currentPage.__data__.consultImg) { // 获取值
      this.setState({
        consultImg: currentPage.__data__.consultImg,
        sizeIndex: currentPage.__data__.sizeIndex,
        isImage: true
      })
    }
  }
  upLode () {
    let that = this
    Taro.chooseMedia({
      count: 1, // 默认
      sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'],
      success: function (res) {
        console.log(res, 'res');
        const file = res.tempFiles[0].tempFilePath
        if (res.tempFiles[0].size > 2000000) {
          Taro.showToast({ title: '图片大小不能超过2M', icon: 'none' })
          return
        }
        Taro.showLoading({
          title: '图片上传中',
        })
        Taro.hideLoading()
        Taro.navigateTo({
          url: `/moduleA/pages/upload/index?image=${file}`
        })
      }
    })
  }
  generatePictures () {
    if (!this.state.isImage) {
      Taro.showToast({ title: '请先上传图片', icon: 'none' })
      return
    }
    api.drawGcImg({ img_url: this.state.consultImg }).then(res => {
      if (res.code == 200) {
        Taro.navigateTo({
          url: `/moduleA/pages/darwDetail/index?task_id=${res.data.task_id}`
        })
      }else {
        Taro.hideLoading()
        Taro.showModal({
          title: '您的余额不足',
          content: '是否前往获取点券？',
          success: function (res) {
            if (res.confirm) {
              Taro.navigateTo({
                url: `/moduleA/pages/earnPoints/index`
              })
            } else if (res.cancel) {
              console.log('用户点击取消')
            }
          }
        })
      }
    })
  }

  render () {
    return (
      <View className='mine'>
        <View className='title'>人物动漫化</View>
        <View className='content' onClick={e => (this.upLode())}>
          <Image className='content-img'
            mode='aspectFit'
            src={this.state.consultImg}
          ></Image>
          {
            !this.state.isImage &&
            <View className='add-content'>
              <Image className='add-img' src='http://video-img.fyshark.com/1680144257329%2B.png'></Image>
              <View className='add-tips'>上传图片</View>
            </View>
          }
        </View>
        <View className='img-tips'>绝美的动漫头像，上传图片一件生成</View>
        <View className='generate-pictures' onClick={e => (this.generatePictures(e))} >
          生成图片（消耗2点券）
        </View>
      </View>
    )
  }
}
